Page MenuHomePhabricator

Removal of microMIPS64R6
ClosedPublic

Authored by abeserminji on Jul 19 2017, 8:42 AM.

Details

Summary

When target is micromips64r6, errors are printed.

This is Clang part of patch. LLVM part of patch can be found here: https://reviews.llvm.org/D35625

Diff Detail

Repository
rL LLVM

Event Timeline

abeserminji created this revision.Jul 19 2017, 8:42 AM
abeserminji edited the summary of this revision. (Show Details)
sdardis requested changes to this revision.Jul 20 2017, 3:38 AM

Comments inlined. This also requires a test.

Basic/Targets.cpp
8537–8539 ↗(On Diff #107308)

Since we only support microMIPS for O32 and mips(32) targets, rather than checking for the exact cpu "mips64r6", we should reject the combinations of mips64(el) and IsMicromips, and ABI =="n32" || ABI == "n64".

clang/Basic/DiagnosticCommonKinds.td
188 ↗(On Diff #107308)

Line is too long. Break the line after the opening < of Error and put the error string indented two spaces on the line after.

This revision now requires changes to proceed.Jul 20 2017, 3:38 AM

Also, this need to be posted to cfe-commits.

sdardis added a subscriber: cfe-commits.
abeserminji marked 2 inline comments as done.Jul 25 2017, 7:07 AM

Comments resolved

abeserminji edited edge metadata.

Comments resolved and patch adapted to current revision.

sdardis accepted this revision.Aug 11 2017, 7:53 AM

One nit inlined, you can address it when committing.

Basic/Targets/Mips.cpp
206 ↗(On Diff #108067)

Add a comment here stating that the microMIPS64R6 backend was removed.

This revision is now accepted and ready to land.Aug 11 2017, 7:53 AM

Comment addressed.

sdardis added inline comments.Dec 11 2017, 3:27 AM
lib/Basic/Targets/Mips.cpp
209 ↗(On Diff #126331)

"was removed."

This revision was automatically updated to reflect the committed changes.